# phpDox - PDO::lastInsertId

# PDO::lastInsertId

#### Returns the ID of the last inserted row or sequence value

Returns the ID of the last inserted row, or the last value from a sequence object, depending on the underlying driver. For example, PDO_PGSQL requires you to specify the name of a sequence object for the name parameter.

## Signature

`public function lastInsertId(string $name )`

## Parameters

`$name` — string

## Returns

string